{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**Use this endpoint to locate contacts**.\n\nThe request body's `query` field accepts valid [SGQL](https://sendgrid.com/docs/for-developers/sending-email/segmentation-query-language/) for searching for a contact.\n\nBecause contact emails are stored in lower case, using SGQL to search by email address requires the provided email address to be in lower case. The SGQL `lower()` function can be used for this.\n\nOnly the first 50 contacts that meet the search criteria will be returned.\n\nIf the query takes longer than 20 seconds, a `408 Request Timeout` status will be returned.\n\nFormatting the `created_at` and `updated_at` values as Unix timestamps is deprecated. Instead, they are returned as ISO format as string.","properties":{"body":{"type":"object","properties":{"query":{"type":"string","description":"An SGQL search string or other pattern."}},"required":["query"],"examples":[{"query":"email LIKE 'ENTER_COMPLETE_OR_PARTIAL_EMAIL_ADDRESS_HERE%' AND CONTAINS(list_ids, 'YOUR_LIST_IDs')"}]}},"required":[],"additionalProperties":false},"name":"Search Contacts","id":"sendgrid.mc_contacts.searchcontact","example":{},"maxRequests":1,"summary":false}}